import { OnInit, EventEmitter, OnDestroy } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { FormValidatorService } from '../../core';
import { TimelineValue } from '../../timeline-filter';
import * as i0 from "@angular/core";
export declare class AuditLogListFilterComponent implements OnInit, OnDestroy {
    private formValidatorService;
    filterForm: UntypedFormGroup;
    objectId: any;
    objectType: any;
    valueChange: EventEmitter<any>;
    constructor(formValidatorService: FormValidatorService);
    get showObjectFilter(): boolean;
    ngOnInit(): void;
    onDurationChange(timelineValue: TimelineValue): void;
    resetFieldValue(field: string): void;
    getFieldValue(field: string): any;
    isFieldValid(field: string): any;
    ngOnDestroy(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AuditLogListFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AuditLogListFilterComponent, "app-audit-log-list-filter", never, { "filterForm": { "alias": "filterForm"; "required": false; }; "objectId": { "alias": "objectId"; "required": false; }; "objectType": { "alias": "objectType"; "required": false; }; }, { "valueChange": "valueChange"; }, never, never, false, never>;
}
